geos::geom::util::GeometryExtracter Class Reference

`#include <GeometryExtracter.h>`

## Static Public Member Functions

template<class ComponentType, class TargetContainer>
static void | extract (const Geometry &geom, TargetContainer &lst)

## Detailed Description

Extracts the components of a given type from a `Geometry`.

## Member Function Documentation

## extract()

template<class ComponentType, class TargetContainer>

void geos::geom::util::GeometryExtracter::extract | ( | const Geometry & | geom,
|  | TargetContainer & | lst )

inline static

Extracts the components of type clz from a `Geometry` and adds them to the provided container.

Parameters

  geom | the geometry from which to extract
  lst | the list to add the extracted elements to

The documentation for this class was generated from the following file:

- GeometryExtracter.h